/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: CompoundTestImpl.java 62536 2011-04-15 16:35:14Z af70133 $
 */


package com.sun.ts.tests.jaxrpc.ee.wsi.rpc.literal.marshalltest;

import com.sun.ts.lib.util.*;
import com.sun.ts.lib.porting.*;

import java.rmi.Remote;
import java.rmi.RemoteException;
import javax.xml.soap.Name;
import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPFactory;
import javax.xml.soap.SOAPException;

public class CompoundTestImpl implements CompoundTest {
    public EchoEmployeeResponse echoEmployee(EchoEmployeeRequest employee) 
						throws RemoteException {
        EchoEmployeeResponse employeeResp = new EchoEmployeeResponse();
        employeeResp.setEmployee(employee.getEmployee());
        return employeeResp;
    }

    public EchoPersonResponse echoPerson(EchoPersonRequest person) 
						throws RemoteException {
        EchoPersonResponse personResp = new EchoPersonResponse();
        personResp.setPerson(person.getPerson());
        return personResp;
    }
	
    public Document echoDocument(Document document) throws RemoteException {
	return document;
    }
}
